GzipParameters
Date: 2017-02-08

org.apache.commons.compress.compressors.gzip

## Class GzipParameters

- java.lang.Object
- - org.apache.commons.compress.compressors.gzip.GzipParameters

-     public class GzipParameters
      extends java.lang.Object

  Parameters for the GZIP compressor.
  Since:
    1.7

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GzipParameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getCompressionLevel()`
    `java.lang.String` | `getFilename()`
    `long` | `getModificationTime()`
    `int` | `getOperatingSystem()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setCompressionLevel(int compressionLevel)` Sets the compression level.
    `void` | `setFilename(java.lang.String filename)` Sets the name of the compressed file.
    `void` | `setModificationTime(long modificationTime)` Sets the modification time of the compressed file.
    `void` | `setOperatingSystem(int operatingSystem)` Sets the operating system on which the compression took place.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GzipParameters

          public GzipParameters()

  - ### Method Detail

    - #### getCompressionLevel

          public int getCompressionLevel()

    - #### setCompressionLevel

          public void setCompressionLevel(int compressionLevel)

      Sets the compression level.
      Parameters:
        `compressionLevel` - the compression level (between 0 and 9)
      See Also:
        `Deflater.NO_COMPRESSION`, `Deflater.BEST_SPEED`, `Deflater.DEFAULT_COMPRESSION`, `Deflater.BEST_COMPRESSION`

    - #### getModificationTime

          public long getModificationTime()

    - #### setModificationTime

          public void setModificationTime(long modificationTime)

      Sets the modification time of the compressed file.
      Parameters:
        `modificationTime` - the modification time, in milliseconds

    - #### getFilename

          public java.lang.String getFilename()

    - #### setFilename

          public void setFilename(java.lang.String filename)

      Sets the name of the compressed file.
      Parameters:
        `filename` - the name of the file without the directory path

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getOperatingSystem

          public int getOperatingSystem()

    - #### setOperatingSystem

          public void setOperatingSystem(int operatingSystem)

      Sets the operating system on which the compression took place. The defined values are:
      - 0: FAT filesystem (MS-DOS, OS/2, NT/Win32)
      - 1: Amiga
      - 2: VMS (or OpenVMS)
      - 3: Unix
      - 4: VM/CMS
      - 5: Atari TOS
      - 6: HPFS filesystem (OS/2, NT)
      - 7: Macintosh
      - 8: Z-System
      - 9: CP/M
      - 10: TOPS-20
      - 11: NTFS filesystem (NT)
      - 12: QDOS
      - 13: Acorn RISCOS
      - 255: Unknown
      Parameters:
        `operatingSystem` - the code of the operating system